Deployments.ai Docs
Models

Show a model policy

GET /v1/model-policies/{id} · SDK getModelPolicy · CLI deployments model-policy show

GET
/v1/model-policies/{id}

Requires models:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ModelPolicyResponse

application/json
  1. response
archivedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
description?string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
includeCuratedModels*boolean
models*array<string>
name*string
status*string
Value in"active""archived"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X GET "https://example.com/v1/model-policies/string" \  -H "x-deployments-environment: string"
{  "archivedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "id": "string",  "includeCuratedModels": true,  "models": [    "string"  ],  "name": "string",  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}